Update please!!! Rated 5 out of 5 stars

Holy crap, I LOOOOVE this extension. I honestly can NOT see having to surf without this. PLEASE update it to work with the newest FF! It's easily the best, and most useful extension I have.

I dualboot between XP and Ubuntu, and I keep my XP FF at ff2 so that I can use this extension, but Ubuntu keeps everything nicely updated. I can't use this extension with b5. :( Is it really that different?

This review is for a previous version of the add-on (0.3.6).